为了账号安全,请及时绑定邮箱和手机立即绑定

Xcode错误“无法找到开发人员磁盘映像”

/ 猿问

Xcode错误“无法找到开发人员磁盘映像”

侃侃尔雅 2019-08-14 17:20:01

Xcode错误“无法找到开发人员磁盘映像”

尝试在Xcode中连接的iOS设备上运行构建时,我收到错误:

找不到开发者磁盘映像

我看到有Xcode的公开测试版,所以我安装了它。

其中一项新功能是您无需使用开发者计划帐户Dingus即可将您的应用程序直接上传到iPhone。

但是,在我的iPhone 4s上,我还对iOS 8.4进行了公开测试版更新,问题在于,没有可用的开发者磁盘映像。

我在哪里可以找到它或如何修复它?


查看完整描述

3 回答

?
慕村9548890

我在Xcode 7.3或旧版Xcode上面临同样的问题,我的设备版本是iOS 10或更新版本的操作系统。

当您的Xcode旧并且您使用的相关设备更新为最新版本时,会显示此错误。

我们可以按照以下步骤解决此问题:

方法1: -

  • 右键单击Xcode 7.3或Xcode的版本,现在选择“ Show Package Contents ”,“ Contents ”,“ Developer ”,“ Platforms ”,“ iPhoneOS.Platform ”,“ Device Support ”。

  • 现在检查是否有最新版本的开发人员磁盘映像(文件夹),如12.1或最新版本(文件夹)。复制最新版本并粘贴到相同的文件夹设备支持中。

  • 在我的情况下,我有12.1是最新的文件夹。现在它将生成该版本的副本,如12.1副本或最新版本(文件夹)副本。

  • 现在将复制文件夹的名称更改为最新版本的iPhone。在我的情况下,我有12.1(文件夹)副本并将其重命名为12.4。正如您在上面的屏幕截图中看到的那样。您可以根据最新版本的手机进行更改。我需要它12.4所以我只是将文件夹重命名为12.4。

  • 现在您的Xcode有一个新的开发人员磁盘映像。立即关闭取景器,然后退出Xcode。打开你的Xcode,错误就会消失。现在,您可以将最新的设备连接到旧的Xcode版本。

                          **OR**

方法2: -

首先,下载最新的Xcode版本。无需安装最新的Xcode。

我们可以按照以下步骤解决此问题:

  • 右键单击Xcode 8或更新版本的Xcode,选择“ Show Package Contents ”,“ Contents ”,“ Developer ”,“ Platforms ”,“ iPhoneOS.Platform ”,“ Device Support ”

  • 复制10.0文件夹(或更高版本以上版本)。

  • 返回Finder再次选择应用程序

  • 右键单击Xcode 7.3或Xcode版本,现在选择“Show Package Contents”,“Contents”,“Developer”,“Platforms”,“iPhoneOS.Platform”,“Device Support”

  • 粘贴10.0文件夹(或更高版本以上版本)。

现在您的Xcode有一个新的开发人员磁盘映像。立即关闭取景器,然后退出Xcode。打开你的Xcode,错误就会消失。现在,您可以将最新的设备连接到旧的Xcode版本。



查看完整回答
反对 回复 2019-08-14
?
ITMISS

对于将来会遇到类似问题的人,请注意这个问题根本源于您的iOS版本和Xcode版本的不匹配。

检查iOS和Xcode的兼容性。


查看完整回答
反对 回复 2019-08-14
?
阿晨1998

我个人下载了Xcode 6.4 beta和7.0 beta,我很高兴通过在6.4 beta的应用程序文件夹中搜索“8.4”找到解决方案。通过这样做,我发现8.4 (12H4125a)包含iOS 8.4图像的文件夹,我将此文件夹复制到7.0 beta的相同路径。路径如下:

/Applications/Xcode-beta.app/Contents/Developer/Platforms/iPhoneOS.platform/DeviceSupport

当您重新打开Xcode 7并选择您的设备时,将出现错误消息; 只需点击就fix issue可以了!


查看完整回答
反对 回复 2019-08-14

添加回答

回复

举报

0/150
提交
取消
意见反馈 帮助中心 APP下载
官方微信